# get-it-for-me-for-christmas - koyle's wishlist

Save time but not money when shopping for the most ridiculous person in the whole world.

Items with ~~strikethrough~~ have been purchased.

## DHO804 Rigol Oscilloscope
Rigol made two oscilloscopes recently that have great value to price ratios.  Probably the best value per dollar is the [DHO804](https://www.rigolna.com/products/digital-oscilloscopes/dho800/).  The other is the [DHO1074](https://www.rigolna.com/products/digital-oscilloscopes/dho1000/).  Computers are really fast.  People do not understand how fast they are because modern software is so incredibly terrible.  A computer heading to the dumpster can compute billions of things per second.  This is too fast for one to troubleshoot a faulty program or circuit.  An oscilloscope can slow down time.  Cost 399 or 999USD.
![Rigol DHO800](images/rigol-dho804.jpg)

## Teensy USB Board, Version 4.1, With Ethernet Chip
The [Teensy](https://www.pjrc.com/store/teensy41.html) is a cheap computer.  It is very fast, and has many peripherals.  It lacks connectors and the chips that noramally drive those connectors, eg: a display connector or mouse and keyboard connectors.  But this is totally fine for me.  I need lots of these computers and several of my projects make use of computers like this.  This one is special because it has wired ethernet connectivity and is uses very little power.  Cost 32USD.
![Teensy 4.1](images/teensy41_4.jpg)

### Ethernet Kit for Teensy 4.1
Purchase an [Ethernet Kit](https://www.pjrc.com/store/ethernet_kit.html) when purchasing the Teensy 4.1 USB Board.  It is a breakout board so that I can connect standard Ethernet cable to the Teensy 4.1.  One kit is needed per Teensy 4.1 USB Board. Cost 4USD.
![Ethernet Kit](images/ethernet_kit_01.jpg)

## ChipWhisperer-Lite (CW1173) Basic Board
This [board](https://store.newae.com/chipwhisperer-lite-cw1173-basic-board/) is a nice side-channel power analysis tool from NewAE Technology Inc.  All electronic devices that run software have processors.  These processors must run software that has both desierable and undesierable effects.  What these processors universally lack is the ability to adjust the balance of those effects.  It's almost like every product has at least one feature that would be similar to a speaker with no way to adjust the volume.  The chipwhisperer allows one to add flexibility after a manufacturer has decided to stop making a product better.  This is a 1337 h4x0r tool.  Cost 315USD
![ChipWhisperer-Lite](images/PICT8964_web__57651.jpg)

## ~~Coral USB Accelerator~~
This [computer-peripheral](https://coral.ai/products/accelerator) is a microprocessor that contains an application specific integrated circuit.  The microprocessor is actually a Tensor Processing Unit (TPU) and can only do 8-bit floating point math.  Although it is limited in it's ability to compete at a fifth grade math competition it can do a lot of impercise math really fast.  The TPU in this USB peripheral can do four trillion operations per second.  This is good for things like running inference models generated by a software suite called TensorFlow Lite.  I am planning on using this to allow my computer to identify bunnies in video footage.  Cost 59USD
![USB Accelerator](images/zOqXuErvR3mwcGGaeXEsnA.jpg)

## EEVblog BM786
This [multimeter](https://www.eevblog.com/product/eevblog-bm786-multimeter/) is the ducks guts.  No, seriously it is a low-cost feature packed multimeter, much cheaper than a Fluke meter but with respectable features like 600V CatIV rating.  Wow, so safe.  This is general purpose test equipment.  Cost 205AU
![Bryman BM786 Multimeter](images/BM786-Front-Angle-Full-scaled.jpg)

## Hakko FR301-03/P
It is a ESD Safe [Portable Desoldering Gun](https://hakkousa.com/fr-301-portable-desoldering-tool.html).  This version is the "lite" version, it is portable, and is like a automated solderpult.  Desoldering is dangerous.  This makes it less dangerous.  Burning fingers and dropping expensive stuff is so lame, desoldering guns are much less lame.  Cost 318USD
![Hakko FR301 desoldering gun](images/71AafyRHnML._SL1500_.jpg)

## Trezor Security Token
Store private keys on an external microcontroller with an optional PIN.  One can use this to store a private SSH key for use without relying on insecure passwords.  This is great.  Another use would be storing / generating a private key for use with Bitcoin.  **Double use!**  The [Trezor](https://shop.trezor.io/product/trezor-one-white) is extraordinarily simple containing only a single chip, the STM32F205 (only 8USD).  And the software for the device is [public](https://github.com/trezor/trezor-firmware).  *With a stolen Trezor, one has less than crossed fingers and hope protecting the private keys against a compotent thief.*  So, while not perfect, this device provides additional usability, easy verifiability, and the ability to reasonably update their private keys if they lose the device versus the additional cost possibly loosing custody of ones private keys.
53EUR
![Trezor](images/Trezor-Model-One-White-front-view-screen-lock.png)

## Toshiba TC358743XBG
What is it?  Nobody knows.  If you absolutely must know, the [HDMI-RX to MIPI CSI-2-TX](https://www.amazon.com/dp/B093LVV3L1) is a bridge device that converts HDMI stream to MIPI CSI-2 TX.  So that means nothing right?  Lots of things use HDMI, Koyle does not like HDMI but Koyle does like things, so that sucks.  This breakout board converts HDMI to a standard that is less borked.
38USD
![SupTroniks HDMI to CSI-2 Module](images/71iPpGzMOuL._AC_SL1500_.jpg)

## Probe Master Test Leads
Good test leads are hard to find.  All test leads do their job pretty okay.  This is kind of a problem though.  Because probes are so versatile they get used in situations where pretty okay is not okay.  Using a probe on something that one can only measure once makes one want a probe that will not fail.  The [Probe Master 8000 series test leads](https://probemaster.com/8000-series-test-leads-only/) are much better than the rest.  Purchasing these is also so much fun.  I do not know how this company still exists, but they will probably call you to make sure that your order is correct.  I have two types of connectors that are needed, 8013S right angle safety female jack and 8018S retractable banana plug.  The jack fits my analog Simpson 260 multimeter and the retractable banana plug is for everything else.  All lengths are useful, go shorter if unsure.  Long is good for putting measuring device anywhere but looses some accuracy, short is good for accuracy but multimeter needs to be close to device under test.  It really does not matter,  48"-60" is good.
21USD
![Probe Master 8000 test leads](images/8017S_Leads__15927.1433772408.jpg )

## ~~Sensepeek PCBite #4018~~
**Purchased December 2021**
The [PCBite](https://sensepeek.com/pcbite-kit-with-2x-100mhz-and-4x-sp10-handsfree-probes) is a development tool that makes it possible to hold a probe to a very small trace.  I want it because I have difficulty steadily holding oscilloscope probes to components on a PCB.  The task is usually so difficult I either solder wires or give up.  Cost: 198EUR
![PCBite kit with 2x 100MHz and 4x SP10 handsfree probes](images/178402841-origpic-0740ac.jpg)

## ~~Mooltipass Authenticator~~
**Purchased December 2021**
Reads and writes passwords to a  SIM card.  The [Mooltipass](https://www.themooltipass.com/) makes it easy for one to manage and input passwords.  Good to store small bits of text on a EEPROM type memory.  EEPROM is more resilient than NAND flash types so one does not need to worry about data eroding every year.  The limited space and limited write count makes this type of memory good for small one-time-writable bits of text, like passwords.  Nice user interface.  A single authenticator can be used with multiple SIM cards, it is a good idea to purchase a bunch of extra SIM cards.  These are not mass manufactured, get it on [tindie](https://www.tindie.com/products/stephanelec/mooltipass-mini-ble-authenticator/).
140USD
![Mooltipass](images/2021-05-30T17_56_40.908Z-green_closeup.jpg)
